Difference between revisions of "Capabilities/moodle/legacy:admin"

Jump to: navigation, search
(capability allowing)
(Typo)
 
Line 1: Line 1:
 
*This is implemented for backward compatibility. It is flag to tell Moodle that this role is a admin role.
 
*This is implemented for backward compatibility. It is flag to tell Moodle that this role is a admin role.
 
*This does NOT provide a role with all capabilities of a pre-Moodle 1.7 admin. '''All admin capabilities must be individually allowed.'''
 
*This does NOT provide a role with all capabilities of a pre-Moodle 1.7 admin. '''All admin capabilities must be individually allowed.'''
*Note: It is not necessary to to allow any legacy capabilities unless using old 3rd party code that was not designed for Moodle 1.7 and doesn't yet support roles.
+
*Note: It is not necessary to allow any legacy capabilities unless using old 3rd party code that was not designed for Moodle 1.7 and doesn't yet support roles.
  
 
[[Category:Capabilities|Legacy]]
 
[[Category:Capabilities|Legacy]]
  
 
[[zh:能力/moodle/legacy:admin]]
 
[[zh:能力/moodle/legacy:admin]]

Latest revision as of 21:30, 16 May 2008

  • This is implemented for backward compatibility. It is flag to tell Moodle that this role is a admin role.
  • This does NOT provide a role with all capabilities of a pre-Moodle 1.7 admin. All admin capabilities must be individually allowed.
  • Note: It is not necessary to allow any legacy capabilities unless using old 3rd party code that was not designed for Moodle 1.7 and doesn't yet support roles.